package llc.arma.ble.domain.usecase.filter

import llc.arma.ble.domain.model.BleFilter
import llc.arma.ble.domain.repository.SettingsRepository
import javax.inject.Inject

class SaveFilter @Inject constructor(
    private val settingsRepository: SettingsRepository
) {

    suspend operator fun invoke(bleFilter: BleFilter){

        settingsRepository.saveFilter(bleFilter)

    }

}